Bug 1265203 - WEB-UI: Tenants - Maintain Uniformity for Error messages in Tenant pages
WEB-UI: Tenants - Maintain Uniformity for Error messages in Tenant pages
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity low
: GA
: 5.5.0
Assigned To: Aparna Karve
Ramesh A
:
: 1265212 1265216 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 07:28 EDT by Ramesh A
Modified: 2015-12-08 08:32 EST (History)
4 users (show)

See Also:
Fixed In Version: 5.5.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:32:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Tenant page Error message (53.09 KB, image/png)
2015-09-22 07:28 EDT, Ramesh A
no flags Details
User page error message (84.07 KB, image/png)
2015-09-22 07:28 EDT, Ramesh A
no flags Details

  None (edit)
Description Ramesh A 2015-09-22 07:28:19 EDT
Created attachment 1075781 [details]
Tenant page Error message

Description of problem:
Maintain Uniformity for Error messages in Tenant pages w.r.t. other pages in the appliance

Version-Release number of selected component (if applicable):
5.5.0.1-alpha1.20150915151429_2230bd4

How reproducible:
Very

Steps to Reproduce:
1. Navigate to Configure==> Configuration ==> Access Control==> CFME Region: Region 0 [0]==> Groups ==> Configuration==> Tenants==> My Company ==> Configuration
2.Choose any option except "Manage quotas" i.e.,
  a. Add child Tenant to this Tenant
  b. Add Project to this Tenant
  c. Edit this item
3. Observe the error messages

Actual results:
All the Error messages are clubbed in a single sentence and displayed in the flash message

Expected results:
Should display different Error messages for different fields.  Refer the screenshot for more details

Additional info:
Comment 1 Ramesh A 2015-09-22 07:28 EDT
Created attachment 1075782 [details]
User page error message
Comment 5 Harpreet Kataria 2015-09-28 10:14:24 EDT
*** Bug 1265216 has been marked as a duplicate of this bug. ***
Comment 6 Harpreet Kataria 2015-09-28 10:25:11 EDT
*** Bug 1265212 has been marked as a duplicate of this bug. ***
Comment 7 Aparna Karve 2015-09-28 16:58:28 EDT
Fixed in https://github.com/ManageIQ/manageiq/pull/4528
Comment 8 CFME Bot 2015-09-28 17:00:22 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/528446f6bd723fe7ae3d1943874be64f787b63eb

commit 528446f6bd723fe7ae3d1943874be64f787b63eb
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Wed Sep 23 13:09:31 2015 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Thu Sep 24 14:58:48 2015 -0700

    Inactive buttons should not be clickable
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1265203

 app/assets/javascripts/application.js              |  1 +
 .../controllers/buttons/button_group_controller.js |  7 +++++
 .../ems_common/ems_common_form_controller.js       |  2 --
 .../controllers/host/host_form_controller.js       |  1 -
 .../controllers/ops/tenant_form_controller.js      |  1 -
 .../ops/tenant_quota_form_controller.js            |  1 -
 .../schedule/schedule_form_controller.js           |  1 -
 .../angular/_form_buttons_verify_angular.html.haml |  2 +-
 .../angular/_x_edit_buttons_angular.html.haml      |  8 +++---
 .../buttons/button_group_controller_spec.js        | 30 ++++++++++++++++++++++
 .../ems_common/ems_common_form_controller_spec.js  |  9 -------
 .../controllers/host/host_form_controller_spec.js  |  6 -----
 .../schedule/schedule_form_controller_spec.js      |  6 -----
 spec/javascripts/support/jasmine.yml               |  1 +
 14 files changed, 44 insertions(+), 32 deletions(-)
 create mode 100644 app/assets/javascripts/controllers/buttons/button_group_controller.js
 create mode 100644 spec/javascripts/controllers/buttons/button_group_controller_spec.js
Comment 9 CFME Bot 2015-09-28 17:13:17 EDT
New commit detected on cfme_productization/master:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=528446f6bd723fe7ae3d1943874be64f787b63eb

commit 528446f6bd723fe7ae3d1943874be64f787b63eb
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Wed Sep 23 13:09:31 2015 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Thu Sep 24 14:58:48 2015 -0700

    Inactive buttons should not be clickable
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1265203

 app/assets/javascripts/application.js              |  1 +
 .../controllers/buttons/button_group_controller.js |  7 +++++
 .../ems_common/ems_common_form_controller.js       |  2 --
 .../controllers/host/host_form_controller.js       |  1 -
 .../controllers/ops/tenant_form_controller.js      |  1 -
 .../ops/tenant_quota_form_controller.js            |  1 -
 .../schedule/schedule_form_controller.js           |  1 -
 .../angular/_form_buttons_verify_angular.html.haml |  2 +-
 .../angular/_x_edit_buttons_angular.html.haml      |  8 +++---
 .../buttons/button_group_controller_spec.js        | 30 ++++++++++++++++++++++
 .../ems_common/ems_common_form_controller_spec.js  |  9 -------
 .../controllers/host/host_form_controller_spec.js  |  6 -----
 .../schedule/schedule_form_controller_spec.js      |  6 -----
 spec/javascripts/support/jasmine.yml               |  1 +
 14 files changed, 44 insertions(+), 32 deletions(-)
 create mode 100644 app/assets/javascripts/controllers/buttons/button_group_controller.js
 create mode 100644 spec/javascripts/controllers/buttons/button_group_controller_spec.js
Comment 10 Ramesh A 2015-10-28 01:47:13 EDT
Good to go.  Verified and working fine in 5.5.0.7-beta1.3.20151021133253_ed40d96.

Add button does not get enabled unless the required fields have been entered.
Comment 12 errata-xmlrpc 2015-12-08 08:32:10 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.